<?xml version = '1.0' encoding = 'windows-1252'?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN" "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
  <form-beans>
    <form-bean name="DataForm" type="oracle.adf.controller.struts.forms.BindingContainerActionForm"/>
    <form-bean name="myFormBean" type="org.apache.struts.action.DynaActionForm" dynamic="true">
      <form-property name="empId" type="java.lang.String"/>
      <form-property name="empName" type="java.lang.String"/>
    </form-bean>
  </form-beans>
  <action-mappings>
    <action name="myFormBean" path="/login" forward="/Login.jsp"/>
    <action name="myFormBean" path="/authenticateUser" className="oracle.adf.controller.struts.actions.DataActionMapping" type="view.AuthenticateUserAction">
      <set-property property="modelReference" value="authenticateUserUIModel"/>
      <set-property property="methodName" value="authenticateUserUIModel.setBindVars"/>
      <set-property property="resultLocation" value="${requestScope.methodResult}"/>
      <set-property property="numParams" value="2"/>
      <set-property property="paramNames[0]" value="${param.empId}"/>
      <set-property property="paramNames[1]" value="${param.empName}"/>
      <forward name="success" path="/ViewEmployees.do"/>
      <forward name="failure" path="/login.do"/>
    </action>
    <action path="/ViewEmployees" className="oracle.adf.controller.struts.actions.DataActionMapping" type="oracle.adf.controller.struts.actions.DataForwardAction" name="DataForm" parameter="/ViewEmployees.jsp">
      <set-property property="modelReference" value="ViewEmployeesUIModel"/>
      <set-property property="methodName" value="ViewEmployeesUIModel.setCurrentRowWithKeyValue"/>
      <set-property property="resultLocation" value="${requestScope.methodResult}"/>
      <set-property property="numParams" value="1"/>
      <set-property property="paramNames[0]" value="${bindings.setBindVars.result}"/>
    </action>
  </action-mappings>
  <message-resources parameter="view.ApplicationResources"/>
</struts-config>
